org.eclipse.e4.ui.model.application.ui.menu

## Enum ItemType

- java.lang.Object
- - java.lang.Enum<ItemType>
  - - org.eclipse.e4.ui.model.application.ui.menu.ItemType

All Implemented Interfaces:
  Serializable, Comparable<ItemType>

    public enum ItemType
    extends Enum<ItemType>

A representation of the literals of the enumeration 'Item Type', and utility methods for working with them.

This enum defines the style of a menu or toolbar item.

Since:
  1.0
See Also:
  `MenuPackageImpl.getItemType()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHECK` The 'Check' literal object
`PUSH` The 'Push' literal object
`RADIO` The 'Radio' literal object

### Field Summary

Fields
`static int` `CHECK_VALUE` The 'Check' literal value
`static int` `PUSH_VALUE` The 'Push' literal value
`static int` `RADIO_VALUE` The 'Radio' literal value
`static List<ItemType>` `VALUES` A public read-only list of all the 'Item Type' enumerators

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ItemType` `get(int value)` Returns the 'Item Type' literal with the specified integer value
`static ItemType` `get(String literal)` Returns the 'Item Type' literal with the specified literal value
`static ItemType` `getByName(String name)` Returns the 'Item Type' literal with the specified name
`String` `getLiteral()`
`String` `getName()`
`int` `getValue()`
`String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ItemType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ItemType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PUSH

    public static final ItemType PUSH

The 'Push' literal object.

See Also:
  `PUSH_VALUE`

#### CHECK

    public static final ItemType CHECK

The 'Check' literal object.

See Also:
  `CHECK_VALUE`

#### RADIO

    public static final ItemType RADIO

The 'Radio' literal object.

See Also:
  `RADIO_VALUE`

### Field Detail

#### PUSH_VALUE

    public static final int PUSH_VALUE

The 'Push' literal value.

If the meaning of 'Push' literal object isn't clear, there really should be more of a description here...

See Also:
  `PUSH`, Constant Field Values

#### CHECK_VALUE

    public static final int CHECK_VALUE

The 'Check' literal value.

If the meaning of 'Check' literal object isn't clear, there really should be more of a description here...

See Also:
  `CHECK`, Constant Field Values

#### RADIO_VALUE

    public static final int RADIO_VALUE

The 'Radio' literal value.

If the meaning of 'Radio' literal object isn't clear, there really should be more of a description here...

See Also:
  `RADIO`, Constant Field Values

#### VALUES

    public static final List<ItemType> VALUES

A public read-only list of all the 'Item Type' enumerators.

### Method Detail

#### values

    public static ItemType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ItemType c : ItemType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ItemType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### get

    public static ItemType get(String literal)

Returns the 'Item Type' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.

#### getByName

    public static ItemType getByName(String name)

Returns the 'Item Type' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.

#### get

    public static ItemType get(int value)

Returns the 'Item Type' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.

#### getValue

    public int getValue()

#### getName

    public String getName()

#### getLiteral

    public String getLiteral()

#### toString

    public String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<ItemType>`